libapache-asp-perl (2.63-2) unstable; urgency=medium

  [ Laurent Baillet ]
  * Non-maintainer upload.
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/*: replace ADTTMP with AUTOPKGTEST_TMP.

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact, Name.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Dec 2022 22:00:20 +0000

libapache-asp-perl (2.63-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Drop silence_test_warnings.patch, fixed upstream.
  * Drop debian/patches/pod-encoding.patch, merged upstream.
  * Refresh remaining patches.
  * Update years of upstream and packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.
  * Remove libapache-ssi-perl from Suggests. Apache::SSI is for Apache 1,
    and the package was removed from the archive in 2008.
  * Fix a bunch of spelling mistakes in the documentation.
  * Add patch to adjust tests to autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Apr 2018 00:37:45 +0200

libapache-asp-perl (2.62-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Add a patch to add an encoding directive to the POD.
  * Declare compliance with Debian Policy 3.9.6.
  * Add explicit (build) dependency on libcgi-pm-perl.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jun 2015 00:10:26 +0200

libapache-asp-perl (2.62-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Florian Schlichting ]
  * Imported Upstream version 2.62.
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Refreshed patches, forwarded pod.patch.
  * Added a doc-base registration file (closes: #451731).
  * Added editor syntax highlighting extensions to examples.
  * Added spelling2.patch, silence_test_warnings.patch.
  * Added myself to Uploaders and copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Thu, 08 Mar 2012 01:04:43 +0100

libapache-asp-perl (2.61-1) unstable; urgency=low

  * Take over for the Debian Perl Group; Closes: #576171 -- ITA

  * New upstream release (closes: #495285):
    - fixes "Can't locate object method "get"." (closes: #428012)
  * debian/control:
    - add: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza);
      ${misc:Depends} to Depends: field
    - change Maintainer to Debian Perl Group <pkg-perl-
      maintainers@lists.alioth.debian.org> (was: Víctor Pérez Pereira
      <vperez@debianvenezuela.org>)
    - add /me to Uploaders
    - add Homepage
    - clean up dependencies: remove packages that don't exist anymore
      (closes: #541611) and drop versions that are satisfied in all suites
  * Set Standards-Version to 3.9.1; remove version from perl build dependency.
  * Add debian/watch (closes: #495288).
  * Switch to source format 3.0 (quilt).
  * Switch to debhelper 7.
  * debian/copyright: update formatting, update upstream copyright years and
    license, add third-party file, update list of packaging contributors.
  * Add 2 patches to fix spelling and POD mistakes.
  * Extend README.Debian, thanks to Nigel Horne (closes: #403725).

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Feb 2011 19:29:18 +0100

libapache-asp-perl (2.59-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Conditionally remove usr/lib/perl (closes: #467647)
  * Change $(PWD) to $(CURDIR) in debian/rules
  * Move debhelper to Build-Depends, since it's needed in clean

 -- Stephen Gran <sgran@debian.org>  Sat, 05 Apr 2008 12:23:06 +0100

libapache-asp-perl (2.59-2) unstable; urgency=low

  * New maintainer (closes: #279773).

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Tue, 27 Dec 2005 00:05:04 -0400

libapache-asp-perl (2.59-1) unstable; urgency=low

  * QA Group Upload
  * New upstream release - closes: #316761.
  * debian/copyright - Updated to match current upstream statement.
  * debian/control - Minimum dependency on libapache2-mod-perl2 is now
    1.999.22-1, due to upstream API changes.
  * debian/control - Cleaned up the list of dependencies and suggests.
  * debian/compat  - Added and set to 4.
  * debian/rules   - removed DH_COMPAT.

 -- Stephen Quinney <sjq@debian.org>  Sat,  9 Jul 2005 15:30:15 +0100

libapache-asp-perl (2.57-3) unstable; urgency=low

  * QA Upload
  * Changed Maintainer to Debian QA Group <packages@qa.debian.org>

 -- Stephen Quinney <sjq@debian.org>  Wed, 16 Feb 2005 18:50:28 +0000

libapache-asp-perl (2.57-2.1) unstable; urgency=low

  * NMU from Munich BugSquash Party
  * fix the recommends onto perl-modules (Closes: #240546)

 -- Erich Schubert <erich@debian.org>  Sun, 18 Apr 2004 18:16:13 +0200

libapache-asp-perl (2.57-2) unstable; urgency=low

  * Document the use of libapache-asp-perl in stand-alone mode in
    README.Debian and adjust its Depends: & Recommends: fields
    accordingly,
  Closes: #236787
  * Upstream no supoprt both mod-perl and mod-perl2 so we no longer insist
    on having mod-perl installed,
  Closes: #237468

 -- Stephen Zander <gibreel@debian.org>  Mon, 15 Mar 2004 20:49:00 -0800

libapache-asp-perl (2.57-1) unstable; urgency=low

  * New upstream release,
  Closes: #187439
  * Add an entry in README.Debian explaining how to install the examples
    under .../examples,
  Closes: #183080

 -- Stephen Zander <gibreel@debian.org>  Wed, 25 Feb 2004 23:31:27 -0800

libapache-asp-perl (2.37-2) unstable; urgency=low

  * Fix missing code from package due to changes in HEAD overwriting
    upstream changes in CVS.

 -- Stephen Zander <gibreel@debian.org>  Tue, 13 Aug 2002 10:40:00 -0700

libapache-asp-perl (2.37-1) unstable; urgency=low

  * Fix binary-indep build dependencies,
  Closes: #142131
  * Remove mention of Net::IRC from debian/copyright,
  Closes: #144631
  * New upstream release,
  Closes: #152997

 -- Stephen Zander <gibreel@debian.org>  Sun, 21 Jul 2002 04:21:26 -0700

libapache-asp-perl (2.31-1) unstable; urgency=low

  * New upstream release,
  Closes: #131551

 -- Stephen Zander <gibreel@debian.org>  Sun, 24 Feb 2002 22:07:31 -0800

libapache-asp-perl (2.27-1) unstable; urgency=low

  * New upstream release.
  * Fix the priority in the control file to match the overrides file.

 -- Stephen Zander <gibreel@debian.org>  Thu,  8 Nov 2001 07:43:36 -0800

libapache-asp-perl (2.21-1) unstable; urgency=low

  * New upstream release
  * Change depndency on libmd5-perl to libdigest-md5-perl, Closes: #100371
  * Fix permissions on ASP.pm, Closes: #109471

 -- Stephen Zander <gibreel@debian.org>  Fri, 21 Sep 2001 08:49:33 -0700

libapache-asp-perl (2.09-1) unstable; urgency=low

  * New maintainer, Closes: #80287
  * New upstream release, Closes: #72977
  * Updated for policy 3.5.1 and the new perl packaging policy, Closes: #80693

 -- Stephen Zander <gibreel@debian.org>  Wed, 23 May 2001 15:17:37 -0700

libapache-asp-perl (2.03-1) unstable; urgency=low

  * New upstream release
  * New license

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 27 Aug 2000 19:06:49 +0200

libapache-asp-perl (2.00-1) unstable; urgency=low

  * New upstream release
  * In /usr/doc/.../examples is only redirect to ../html/eg/,
    fixes missing images.
  * Added suggestion: libxml-xslt-perl, libtie-cache-perl
  * new yada compatible with Standards-Version: 3.1.0
  * Modified copyright info and package's description

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 21 Jul 2000 10:18:40 +0200

libapache-asp-perl (1.95-1) frozen unstable; urgency=high

  * New upstream release, closes: #66659
  * Fixes security problem with
    http://localhost/doc/libapache-asp-perl/html/eg/source.asp script.
    Script in previous versions allowed to run command with webserver
    rights. Quick fix: remove source.asp or disable access to this script.
    Thank you, Johnie Ingram.
  * Install examples without compression, closes: #60185
  * Closes old bug, as far as we have apache-perl package, closes: #63126
  * Minor and not important changes in debian/ directory

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 11 Jul 2000 16:48:45 +0200

libapache-asp-perl (0.17-2) frozen unstable; urgency=low

  * Updated paths in copyright info
  * Depends libapache-mod-perl or apache-perl

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 22 Feb 2000 13:05:04 +0100

libapache-asp-perl (0.17-1) unstable; urgency=low

  * Updated patch for Makefile.PL
  * Minor changes in /usr/doc
  * yada 0.8
  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  1 Dec 1999 15:13:38 +0100

libapache-asp-perl (0.16-1) unstable; urgency=low

  * /usr/doc symlink manipulation
  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Sat,  2 Oct 1999 23:20:53 +0200

libapache-asp-perl (0.15-1) unstable; urgency=low

  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 27 Aug 1999 14:51:06 +0200

libapache-asp-perl (0.14-1) unstable; urgency=low

  * More documentation files
  * Changed copyright info
  * Standards-Version: 3.0.1
  * Recommends: libcgi-pm-perl (>= 2.53)
  * Suggests: libapache-filter-perl, libapache-ssi-perl, libhtml-clean-perl, libnet-perl
  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 15 Aug 1999 22:58:52 +0200

libapache-asp-perl (0.12-1) unstable; urgency=low

  * Disabled pre-build dependencies in Makefile.PL
  * yada technology.
  * Standards-Version: 3.0.0.0
  * New upstream release.
  * New mainainer release.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  8 Jul 1999 15:44:51 +0200

libapache-asp-perl (0.11-3) unstable; urgency=low

  * Replaced libmd5-perl dependency by a libdigest-md5-perl dependency.
    This does correct bug #40829, but I'm not goind to close it since
    it will be closed by the ftpmasters once libmd5-perl has been removed.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue,  6 Jul 1999 13:41:41 +0200

libapache-asp-perl (0.11-2) unstable; urgency=low

  * Acting as a QA maintainer.
  * Changed dependencies for perl-5.005 compliance.
  * Follow the new perl policy.
  * If not already done, closes: #39976
  * Converted to debhelper.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Sat,  3 Jul 1999 01:01:29 +0200

libapache-asp-perl (0.11-1) unstable; urgency=low

  * New upstream release.
  * closes bug #39976.
  * orphan the package.

 -- Vincent Renardias <vincent@debian.org>  Fri,  2 Jul 1999 19:25:55 +0200

libapache-asp-perl (0.09-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Renardias <vincent@waw.com>  Fri, 14 May 1999 13:09:17 +0200

libapache-asp-perl (0.05-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Renardias <vincent@waw.com>  Wed, 21 Oct 1998 13:35:12 +0200

libapache-asp-perl (0.03-1) unstable; urgency=low

  * New upstream release:
    + Installation 'make test' now works
    + ActiveX objects on Win32 implemented with $Server->CreateObject()
    + Cookies implemented: $Response->Cookies() & $Request->Cookies()
    - Fixed $Response object API, converting some methods to object members.
      Deprecated methods, but backwards compatible.
    + Improved error messaging, debug output
    + $, influences $Response->Write(@strings) behavior
    + perl print() works, sending output to $Response object
    + $Response->Write() prints scalars, arrays, and hashes.  Before only scalars.
    + Begin implementation of $Server object.
    + Implemented $Response->{Expires} and $Response->{ExpiresAbsolute}
    + Added "PerlSetVar StatINC" config option
    + $0 is aliased to current script filename
    + ASP Objects ($Response, etc.) are set in main package
      Thus notation like $main::Response->Write() can be used anywhere.

 -- Vincent Renardias <vincent@waw.com>  Fri, 18 Sep 1998 20:03:41 +0200

libapache-asp-perl (0.02-1) unstable; urgency=low

  * Initial Debianization.

 -- Vincent Renardias <vincent@waw.com>  Fri, 28 Aug 1998 20:54:00 +0200

Local variables:
user-mail-address: "gibreel@debian.org"
End:
